import { IDataSynchronizationInput, IElasticsearchSyncParams, ISynchronization, ISynchronizationRunResult } from "../types";
export declare class ElasticsearchToDynamoDbSynchronization implements ISynchronization {
    private readonly manager;
    private readonly indexManager;
    private readonly synchronize;
    private readonly fetcher;
    constructor(params: IElasticsearchSyncParams);
    run(input: IDataSynchronizationInput): Promise<ISynchronizationRunResult>;
    private fetchAllIndexes;
}
