import type { Context } from "../../types";
import type { IndexManager } from "../../settings";
export interface IOnBeforeTriggerParams {
    indexManager: IndexManager;
    context: Context;
}
export declare class OnBeforeTrigger {
    private readonly context;
    private readonly indexManager;
    constructor(params: IOnBeforeTriggerParams);
    run(targets: string[] | undefined): Promise<void>;
}
