import { Client } from "@webiny/api-elasticsearch";
import { IElasticsearchFetcher, IElasticsearchFetcherFetchParams, IElasticsearchFetcherFetchResponse } from "./abstractions/ElasticsearchFetcher";
export interface IElasticsearchFetcherParams {
    client: Client;
}
export declare class ElasticsearchFetcher implements IElasticsearchFetcher {
    private readonly client;
    constructor(params: IElasticsearchFetcherParams);
    fetch({ index, cursor, limit }: IElasticsearchFetcherFetchParams): Promise<IElasticsearchFetcherFetchResponse>;
}
